<!DOCTYPE html>
<html>
  <head>
    <title>All Pending Requests View</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="allPendingRequests.css" />
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">Manager Portal</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="managerHomePage.html">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="allPendingRequests.html"> Approve or Deny Requests</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="loginPage.html" id="signOutBtn">Sign Out</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </header>
    
    <h1 style ="text-align: center"> All Employee Pending Requests</h1>
    <div></div>
    <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Username</th>
            <th scope="col">First Name</th>
            <th scope="col">Last Name</th>
            <th scope="col">Request ID</th>
            <th scope="col">Amount</th>
            <th scope="col">Request Status</th>
          </tr>
        </thead>
        <tbody id="myTBody">
          
        </tbody>
      </table>

      <form id="formBox">
        <div class="row">
          <div class="col">
            <input type="text" class="form-control" placeholder="Request ID" name="requestID">
          </div>
          <div class="col">
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="acceptRadio" value="A">
                <label class="form-check-label" for="acceptRadio">Accept</label>
              </div>
              <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="denyRadio" value="D">
                <label class="form-check-label" for="denyRadio">Deny</label>
              </div>
          </div>
        </div>
        <div class="form-group row">
            <div class="col-sm-10">
                <div class="form-options" style ="text-align: center">
              <button type="submit" class="btn btn-primary" id="submitBtn">Submit</button>
                  </div>
            </div>
          </div>
      </form>

    <script
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
          integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
          crossorigin="anonymous"
        ></script>
        <script src="allPendingRequests.js"></script>
  </body>
</html>